Bug 62010

Summary: Implement the DOMCrypt API
Product: WebKit Reporter: Jarred Nicholls <jarred@webkit.org>
Component: WebCore JavaScriptAssignee: Jarred Nicholls <jarred@webkit.org>
Status: RESOLVED INVALID    
Severity: Enhancement CC: abarth@webkit.org, ap@webkit.org, ariya.hidayat@gmail.com, ddahl@mozilla.com, donggwan.kim@samsung.com, ehsan@mozilla.com, gavin.sharp@gmail.com, jshin@chromium.org, kennyluck@w3.org, mihnea@adobe.com, mike@w3.org, rsleevi@chromium.org, sam@webkit.org, syoichi@outlook.com, wade.colson@aol.com
Priority: P5    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   

Description From 2011-06-03 06:41:01 PST
Master bug for implementing the DOMCrypt API proposal in WebKit

Mailing List threads:
http://lists.w3.org/Archives/Public/public-web-security/2011Jun/0000.html
http://lists.whatwg.org/htdig.cgi/whatwg-whatwg.org/2011-May/031741.html

Spec:
https://wiki.mozilla.org/Privacy/Features/DOMCryptAPISpec/Latest

Mozilla Implementation:
https://github.com/daviddahl/domcrypt
http://mozilla.ddahl.com/domcrypt/demos/demo.html
https://bugzilla.mozilla.org/show_bug.cgi?id=649154
https://bugzilla.mozilla.org/show_bug.cgi?id=657432
------- Comment #1 From 2011-06-03 09:38:07 PST -------
Currently, the spec is a bit rough and in flux, but I am working to update it as more feedback and criticism comes in. Also, I need to use WebIDL or something like that to make types crystal clear.
------- Comment #2 From 2011-06-03 09:39:07 PST -------
A summary of the discussion is being built here: http://etherpad.mozilla.com:9000/DOMCrypt-discussion
------- Comment #3 From 2011-06-03 13:28:13 PST -------
I might as well own this bug for now.  Folk should feel free to steal it from me if they want.
------- Comment #4 From 2011-06-03 14:04:36 PST -------
(In reply to comment #3)
> I might as well own this bug for now.  Folk should feel free to steal it from me if they want.

Don't hesitate to ping me on mozilla irc, as 'ddahl'.

I am working the WebIDL version of the spec right now and aggregating more feedback.
------- Comment #5 From 2011-06-06 05:30:20 PST -------
I'll be doing some experimental implementation of this starting late next week; especially since the key exchange bits are going to be a sibling spec later on (wise move IMHO).  Assuming the WebIDL will be in the spec by then, I can verify it's not missing anything obvious (e.g. as of now the createHash method is missing its plain text argument, which I know isn't really the case but just an omission in the spec draft).
------- Comment #6 From 2011-06-06 07:30:24 PST -------
 (In reply to comment #5)
> I'll be doing some experimental implementation of this starting late next week; especially since the key exchange bits are going to be a sibling spec later on (wise move IMHO).  Assuming the WebIDL will be in the spec by then, I can verify it's not missing anything obvious (e.g. as of now the createHash method is missing its plain text argument, which I know isn't really the case but just an omission in the spec draft).

I have started making a WebIDL document for the spec here: https://bug649154.bugzilla.mozilla.org/attachment.cgi?id=537428

This is the spec as the implementation stands right now - which is incorrect based on the feedback in the mailing lists. I am working on a new rev today that updates it for what we actually need.
------- Comment #7 From 2014-04-15 13:02:39 PST -------
*** Bug 260998 has been marked as a duplicate of this bug. ***
Seen from the domain http://volichat.com
Page where seen: http://volichat.com/random-chat-rooms
Marked for reference. Resolved as fixed @bugzilla.
------- Comment #8 From 2014-04-15 13:14:32 PST -------
DOMCrypt evolved into WebCrypto, which we already implement.